Ubuntu

LaCie usb storage doesn't mount

Reported by Andrew Yurkov on 2011-10-16
18
This bug affects 3 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned

Bug Description

My usb storage device Lacie 301924 cannot be mounted in kernel 3.0, but it can be successfully mounted in kernel 2.6.35. I was hoping it's bug is fixed in new version of ubuntu, but it's not.

output of dmesg | tail -n 45:
[ 1157.403052] input: 00:0B:E4:A6:86:23 as /devices/virtual/input/input14
[ 1158.569724] l2cap_recv_acldata: Unexpected continuation frame (len 0)
[ 1158.577785] l2cap_recv_acldata: Unexpected continuation frame (len 0)
[ 1441.075866] l2cap_recv_acldata: Unexpected continuation frame (len 0)
[ 1441.078751] l2cap_recv_acldata: Unexpected continuation frame (len 0)
[ 1768.796102] usb 2-2: new high speed USB device number 3 using ehci_hcd
[ 1769.233084] scsi5 : uas
[ 1769.233318] usbcore: registered new interface driver uas
[ 1769.234605] scsi 5:0:0:0: Direct-Access LaCie Rugged FW USB3 1081 PQ: 0 ANSI: 4
[ 1769.244731] Initializing USB Mass Storage driver...
[ 1769.244841] usbcore: registered new interface driver usb-storage
[ 1769.244843] USB Mass Storage support registered.
[ 1775.808058] scsi 5:0:0:0: uas_eh_abort_handler tag 0
[ 1775.808074] scsi 5:0:0:0: uas_eh_device_reset_handler tag 0
[ 1775.808081] scsi 5:0:0:0: uas_eh_target_reset_handler tag 0
[ 1775.808088] scsi 5:0:0:0: uas_eh_bus_reset_handler tag 0
[ 1775.920270] usb 2-2: reset high speed USB device number 3 using ehci_hcd
[ 1776.053479] scsi 5:0:0:0: Device offlined - not ready after error recovery
[ 1776.053570] scsi 5:0:0:0: rejecting I/O to offline device
[ 1776.053591] scsi 5:0:0:0: rejecting I/O to offline device
[ 1776.053931] scsi 5:0:0:1: uas_sense_old: urb length 26 disagrees with IU sense data length 510, using 18 bytes of sense data
[ 1776.068638] sd 5:0:0:0: Attached scsi generic sg1 type 0
[ 1806.816134] sd 5:0:0:0: uas_eh_abort_handler tag 0
[ 1806.816150] sd 5:0:0:0: uas_eh_device_reset_handler tag 0
[ 1806.816157] sd 5:0:0:0: uas_eh_target_reset_handler tag 0
[ 1806.816164] sd 5:0:0:0: uas_eh_bus_reset_handler tag 0
[ 1806.928110] usb 2-2: reset high speed USB device number 3 using ehci_hcd
[ 1807.061134] sd 5:0:0:0: Device offlined - not ready after error recovery
[ 1807.061202] sd 5:0:0:0: rejecting I/O to offline device
[ 1807.061224] sd 5:0:0:0: rejecting I/O to offline device
[ 1807.061235] sd 5:0:0:0: rejecting I/O to offline device
[ 1807.061243] sd 5:0:0:0: [sdb] READ CAPACITY failed
[ 1807.061250] sd 5:0:0:0: [sdb] Result: hostbyte=DID_NO_CONNECT driverbyte=DRIVER_OK
[ 1807.061259] sd 5:0:0:0: [sdb] Sense not available.
[ 1807.061269] sd 5:0:0:0: rejecting I/O to offline device
[ 1807.061279] sd 5:0:0:0: [sdb] Write Protect is off
[ 1807.061286] sd 5:0:0:0: [sdb] Mode Sense: 00 00 00 00
[ 1807.061294] sd 5:0:0:0: rejecting I/O to offline device
[ 1807.061303] sd 5:0:0:0: [sdb] Asking for cache data failed
[ 1807.061308] sd 5:0:0:0: [sdb] Assuming drive cache: write through
[ 1807.061676] sd 5:0:0:0: [sdb] Attached SCSI disk
[ 2024.470887] l2cap_recv_acldata: Unexpected continuation frame (len 0)
[ 2024.472875] l2cap_recv_acldata: Unexpected continuation frame (len 0)
[ 2092.128918] l2cap_recv_acldata: Unexpected continuation frame (len 0)
[ 2092.130904] l2cap_recv_acldata: Unexpected continuation frame (len 0)

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: linux-image-3.0.0-12-generic 3.0.0-12.20
ProcVersionSignature: Ubuntu 3.0.0-12.20-generic 3.0.4
Uname: Linux 3.0.0-12-generic x86_64
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
ApportVersion: 1.23-0ubuntu3
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: pt 1828 F.... pulseaudio
CRDA: Error: [Errno 2] Нет такого файла или каталога
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xfe9fc000 irq 46'
   Mixer name : 'SigmaTel STAC9228'
   Components : 'HDA:83847616,10280227,00100201 HDA:14f12c06,14f1000f,00100000'
   Controls : 27
   Simple ctrls : 18
Date: Sun Oct 16 10:42:41 2011
HibernationDevice: RESUME=UUID=07812f96-8e3e-4f3e-956b-ccc2e38b6e4f
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release amd64 (20101007)
MachineType: Dell Inc. Vostro 1400
ProcEnviron:
 PATH=(custom, user)
 LANG=ru_RU.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.0.0-12-generic root=UUID=f46c41f0-a0cd-4902-927d-64517a7571aa ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-3.0.0-12-generic N/A
 linux-backports-modules-3.0.0-12-generic N/A
 linux-firmware 1.60
SourcePackage: linux
UpgradeStatus: Upgraded to oneiric on 2011-10-16 (0 days ago)
dmi.bios.date: 05/23/2007
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A00
dmi.board.name: 0TT347
dmi.board.vendor: Dell Inc.
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA00:bd05/23/2007:svnDellInc.:pnVostro1400:pvr:rvnDellInc.:rn0TT347:rvr:cvnDellInc.:ct8:cvr:
dmi.product.name: Vostro 1400
dmi.sys.vendor: Dell Inc.

Andrew Yurkov (dirigabel) wrote :
Brad Figg (brad-figg) on 2011-10-16
Changed in linux (Ubuntu):
status: New → Confirmed
Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the release candidate kernel versus the daily build. Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. Please let us know your results.

Thanks in advance.

tags: added: needs-upstream-testing
Download full text (8.6 KiB)

I've downloaded packages from there:
http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.1-rc10-oneiric/ - is it
right?

Anyway - it doesn't work on this linux kernel:

pt@r2d2:~$ uname -r
3.1.0-0301rc10-generic
pt@r2d2:~$ dmesg | tail -n 36
[ 262.408204] usb 2-1: new high speed USB device number 4 using ehci_hcd
[ 262.904053] scsi5 : uas
[ 262.904521] usbcore: registered new interface driver uas
[ 262.906239] scsi 5:0:0:0: Direct-Access LaCie Rugged FW USB3
1081 PQ: 0 ANSI: 4
[ 262.913274] Initializing USB Mass Storage driver...
[ 262.913380] usbcore: registered new interface driver usb-storage
[ 262.913382] USB Mass Storage support registered.
[ 269.824209] scsi 5:0:0:0: uas_eh_abort_handler tag 0
[ 269.824225] scsi 5:0:0:0: uas_eh_device_reset_handler tag 0
[ 269.824234] scsi 5:0:0:0: uas_eh_target_reset_handler tag 0
[ 269.824241] scsi 5:0:0:0: uas_eh_bus_reset_handler tag 0
[ 269.936215] usb 2-1: reset high speed USB device number 4 using ehci_hcd
[ 270.069737] scsi 5:0:0:0: Device offlined - not ready after error
recovery
[ 270.069832] scsi 5:0:0:0: rejecting I/O to offline device
[ 270.069856] scsi 5:0:0:0: rejecting I/O to offline device
[ 270.070192] scsi 5:0:0:1: uas_sense_old: urb length 26 disagrees with IU
sense data length 510, using 18 bytes of sense data
[ 270.071002] sd 5:0:0:0: Attached scsi generic sg1 type 0
[ 300.896218] sd 5:0:0:0: uas_eh_abort_handler tag 0
[ 300.896237] sd 5:0:0:0: uas_eh_device_reset_handler tag 0
[ 300.896245] sd 5:0:0:0: uas_eh_target_reset_handler tag 0
[ 300.896252] sd 5:0:0:0: uas_eh_bus_reset_handler tag 0
[ 301.008202] usb 2-1: reset high speed USB device number 4 using ehci_hcd
[ 301.141137] sd 5:0:0:0: Device offlined - not ready after error recovery
[ 301.141209] sd 5:0:0:0: rejecting I/O to offline device
[ 301.141229] sd 5:0:0:0: rejecting I/O to offline device
[ 301.141242] sd 5:0:0:0: rejecting I/O to offline device
[ 301.141251] sd 5:0:0:0: [sdb] READ CAPACITY failed
[ 301.141257] sd 5:0:0:0: [sdb] Result: hostbyte=DID_NO_CONNECT
driverbyte=DRIVER_OK
[ 301.141268] sd 5:0:0:0: [sdb] Sense not available.
[ 301.141280] sd 5:0:0:0: rejecting I/O to offline device
[ 301.141290] sd 5:0:0:0: [sdb] Write Protect is off
[ 301.141298] sd 5:0:0:0: [sdb] Mode Sense: 00 00 00 00
[ 301.141307] sd 5:0:0:0: rejecting I/O to offline device
[ 301.141316] sd 5:0:0:0: [sdb] Asking for cache data failed
[ 301.141322] sd 5:0:0:0: [sdb] Assuming drive cache: write through
[ 301.141731] sd 5:0:0:0: [sdb] Attached SCSI disk

2011/10/17 Joseph Salisbury <email address hidden>

> Would it be possible for you to test the latest upstream kernel? It
> will allow additional upstream developers to examine the issue. Refer to
> https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the release
> candidate kernel versus the daily build. Once you've tested the
> upstream kernel, please remove the 'needs-upstream-testing' tag. This
> can be done by clicking on the yellow pencil icon next to the tag
> located at the bottom of the bug description and deleting the 'needs-
> upstream-testing' text. Please let us know your results.
>
> Thanks in advance.
>
> ** Tags add...

Read more...

Joseph Salisbury (jsalisbury) wrote :

This issue appears to be an upstream bug, since you tested the latest upstream kernel. Would it be possible for you to open an upstream bug report at bugzilla.kernel.org? That will allow the upstream Developers to examine the issue, and may provide a quicker resolution to the bug.

If you are comfortable with opening a bug upstream, It would be great if you can report back the upstream bug number in this bug report. That will allow us to link this bug to the upstream report.

tags: added: kernel-bug-exists-upstream
removed: needs-upstream-testing
Andrew Yurkov (dirigabel) wrote :
Download full text (6.2 KiB)

2011/10/19 Joseph Salisbury <email address hidden>

> This issue appears to be an upstream bug, since you tested the latest
> upstream kernel. Would it be possible for you to open an upstream bug
> report at bugzilla.kernel.org?

How can I get there? If I try to go to the bugzilla.kernel.org, it's not
responding.

The same is with http://bugzilla.kernel.org

> That will allow the upstream Developers
> to examine the issue, and may provide a quicker resolution to the bug.
>
> If you are comfortable with opening a bug upstream, It would be great if
> you can report back the upstream bug number in this bug report. That
> will allow us to link this bug to the upstream report.
>
> ** Tags removed: needs-upstream-testing
> ** Tags added: kernel-bug-exists-upstream
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/875523
>
> Title:
> LaCie usb storage doesn't mount
>
> Status in "linux" package in Ubuntu:
> Confirmed
>
> Bug description:
> My usb storage device Lacie 301924 cannot be mounted in kernel 3.0,
> but it can be successfully mounted in kernel 2.6.35. I was hoping it's
> bug is fixed in new version of ubuntu, but it's not.
>
> output of dmesg | tail -n 45:
> [ 1157.403052] input: 00:0B:E4:A6:86:23 as /devices/virtual/input/input14
> [ 1158.569724] l2cap_recv_acldata: Unexpected continuation frame (len 0)
> [ 1158.577785] l2cap_recv_acldata: Unexpected continuation frame (len 0)
> [ 1441.075866] l2cap_recv_acldata: Unexpected continuation frame (len 0)
> [ 1441.078751] l2cap_recv_acldata: Unexpected continuation frame (len 0)
> [ 1768.796102] usb 2-2: new high speed USB device number 3 using ehci_hcd
> [ 1769.233084] scsi5 : uas
> [ 1769.233318] usbcore: registered new interface driver uas
> [ 1769.234605] scsi 5:0:0:0: Direct-Access LaCie Rugged FW USB3
> 1081 PQ: 0 ANSI: 4
> [ 1769.244731] Initializing USB Mass Storage driver...
> [ 1769.244841] usbcore: registered new interface driver usb-storage
> [ 1769.244843] USB Mass Storage support registered.
> [ 1775.808058] scsi 5:0:0:0: uas_eh_abort_handler tag 0
> [ 1775.808074] scsi 5:0:0:0: uas_eh_device_reset_handler tag 0
> [ 1775.808081] scsi 5:0:0:0: uas_eh_target_reset_handler tag 0
> [ 1775.808088] scsi 5:0:0:0: uas_eh_bus_reset_handler tag 0
> [ 1775.920270] usb 2-2: reset high speed USB device number 3 using
> ehci_hcd
> [ 1776.053479] scsi 5:0:0:0: Device offlined - not ready after error
> recovery
> [ 1776.053570] scsi 5:0:0:0: rejecting I/O to offline device
> [ 1776.053591] scsi 5:0:0:0: rejecting I/O to offline device
> [ 1776.053931] scsi 5:0:0:1: uas_sense_old: urb length 26 disagrees with
> IU sense data length 510, using 18 bytes of sense data
> [ 1776.068638] sd 5:0:0:0: Attached scsi generic sg1 type 0
> [ 1806.816134] sd 5:0:0:0: uas_eh_abort_handler tag 0
> [ 1806.816150] sd 5:0:0:0: uas_eh_device_reset_handler tag 0
> [ 1806.816157] sd 5:0:0:0: uas_eh_target_reset_handler tag 0
> [ 1806.816164] sd 5:0:0:0: uas_eh_bus_reset_handler tag 0
> [ 1806.928110] usb 2-2: reset high speed USB device number 3 using
> ehci_hcd
> [ 1807.061134] sd 5:0:0:...

Read more...

Joseph Salisbury (jsalisbury) wrote :

Yes, it appears that bugzilla.kernel.org is still unavailable. One alternative would be to report this directly to the subsystem maintainer or to the LKML.

Changed in linux (Ubuntu):
status: Confirmed → Triaged
Andrew Yurkov (dirigabel) wrote :
Download full text (5.8 KiB)

2011/10/24 Joseph Salisbury <email address hidden>

> Yes, it appears that bugzilla.kernel.org is still unavailable. One
> alternative would be to report this directly to the subsystem maintainer
> or to the LKML.
>

OK. Can I do it? And how can I do it?

>
> ** Changed in: linux (Ubuntu)
> Status: Confirmed => Triaged
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/875523
>
> Title:
> LaCie usb storage doesn't mount
>
> Status in "linux" package in Ubuntu:
> Triaged
>
> Bug description:
> My usb storage device Lacie 301924 cannot be mounted in kernel 3.0,
> but it can be successfully mounted in kernel 2.6.35. I was hoping it's
> bug is fixed in new version of ubuntu, but it's not.
>
> output of dmesg | tail -n 45:
> [ 1157.403052] input: 00:0B:E4:A6:86:23 as /devices/virtual/input/input14
> [ 1158.569724] l2cap_recv_acldata: Unexpected continuation frame (len 0)
> [ 1158.577785] l2cap_recv_acldata: Unexpected continuation frame (len 0)
> [ 1441.075866] l2cap_recv_acldata: Unexpected continuation frame (len 0)
> [ 1441.078751] l2cap_recv_acldata: Unexpected continuation frame (len 0)
> [ 1768.796102] usb 2-2: new high speed USB device number 3 using ehci_hcd
> [ 1769.233084] scsi5 : uas
> [ 1769.233318] usbcore: registered new interface driver uas
> [ 1769.234605] scsi 5:0:0:0: Direct-Access LaCie Rugged FW USB3
> 1081 PQ: 0 ANSI: 4
> [ 1769.244731] Initializing USB Mass Storage driver...
> [ 1769.244841] usbcore: registered new interface driver usb-storage
> [ 1769.244843] USB Mass Storage support registered.
> [ 1775.808058] scsi 5:0:0:0: uas_eh_abort_handler tag 0
> [ 1775.808074] scsi 5:0:0:0: uas_eh_device_reset_handler tag 0
> [ 1775.808081] scsi 5:0:0:0: uas_eh_target_reset_handler tag 0
> [ 1775.808088] scsi 5:0:0:0: uas_eh_bus_reset_handler tag 0
> [ 1775.920270] usb 2-2: reset high speed USB device number 3 using
> ehci_hcd
> [ 1776.053479] scsi 5:0:0:0: Device offlined - not ready after error
> recovery
> [ 1776.053570] scsi 5:0:0:0: rejecting I/O to offline device
> [ 1776.053591] scsi 5:0:0:0: rejecting I/O to offline device
> [ 1776.053931] scsi 5:0:0:1: uas_sense_old: urb length 26 disagrees with
> IU sense data length 510, using 18 bytes of sense data
> [ 1776.068638] sd 5:0:0:0: Attached scsi generic sg1 type 0
> [ 1806.816134] sd 5:0:0:0: uas_eh_abort_handler tag 0
> [ 1806.816150] sd 5:0:0:0: uas_eh_device_reset_handler tag 0
> [ 1806.816157] sd 5:0:0:0: uas_eh_target_reset_handler tag 0
> [ 1806.816164] sd 5:0:0:0: uas_eh_bus_reset_handler tag 0
> [ 1806.928110] usb 2-2: reset high speed USB device number 3 using
> ehci_hcd
> [ 1807.061134] sd 5:0:0:0: Device offlined - not ready after error
> recovery
> [ 1807.061202] sd 5:0:0:0: rejecting I/O to offline device
> [ 1807.061224] sd 5:0:0:0: rejecting I/O to offline device
> [ 1807.061235] sd 5:0:0:0: rejecting I/O to offline device
> [ 1807.061243] sd 5:0:0:0: [sdb] READ CAPACITY failed
> [ 1807.061250] sd 5:0:0:0: [sdb] Result: hostbyte=DID_NO_CONNECT
> driverbyte=DRIVER_OK
> [ 1807.061259] sd 5:0:0:0: [sdb] Sense not available....

Read more...

Andrew Yurkov (dirigabel) wrote :

Now it seems that I have different problem that 901215. Because I also connect my drive into USB 2.0 port (see conversation in https://bugs.launchpad.net/bugs/901215)

Andrew Yurkov (dirigabel) wrote :

After last kernel update to 3.2.0-24-generic #39-Ubuntu SMP I can view files via Nautilus and work with them, despite some error messages in dmesg:

[11792.884133] usb 2-2: new high-speed USB device number 5 using ehci_hcd
[11793.020188] scsi7 : usb-storage 2-2:1.0
[11794.021627] scsi 7:0:0:0: Direct-Access LaCie Rugged FW USB3 1081 PQ: 0 ANSI: 4
[11794.023625] sd 7:0:0:0: Attached scsi generic sg1 type 0
[11794.024955] sd 7:0:0:0: [sdb] 1953525153 512-byte logical blocks: (1.00 TB/931 GiB)
[11794.025651] sd 7:0:0:0: [sdb] Write Protect is off
[11794.025662] sd 7:0:0:0: [sdb] Mode Sense: 47 00 10 08
[11794.028596] sd 7:0:0:0: [sdb] No Caching mode page present
[11794.028607] sd 7:0:0:0: [sdb] Assuming drive cache: write through
[11794.031184] sd 7:0:0:0: [sdb] No Caching mode page present
[11794.031195] sd 7:0:0:0: [sdb] Assuming drive cache: write through
[11794.071118] sdb: sdb1
[11794.073185] sd 7:0:0:0: [sdb] No Caching mode page present
[11794.073192] sd 7:0:0:0: [sdb] Assuming drive cache: write through
[11794.073198] sd 7:0:0:0: [sdb] Attached SCSI disk
[11814.464095] usb 2-2: reset high-speed USB device number 5 using ehci_hcd
[11817.432079] usb 2-2: reset high-speed USB device number 5 using ehci_hcd
[11820.396085] usb 2-2: reset high-speed USB device number 5 using ehci_hcd
[11823.360078] usb 2-2: reset high-speed USB device number 5 using ehci_hcd
[11826.328077] usb 2-2: reset high-speed USB device number 5 using ehci_hcd
[11829.304117] usb 2-2: reset high-speed USB device number 5 using ehci_hcd
[11829.437086] sd 7:0:0:0: [sdb] Unhandled error code
[11829.437092] sd 7:0:0:0: [sdb] Result: hostbyte=DID_ERROR driverbyte=DRIVER_OK
[11829.437101] sd 7:0:0:0: [sdb] CDB: Read(10): 28 00 00 03 4b e8 00 00 e8 00
[11829.437120] end_request: I/O error, dev sdb, sector 216040
[11829.437125] quiet_error: 19 callbacks suppressed
[11829.437128] Buffer I/O error on device sdb1, logical block 26749
[11829.437133] Buffer I/O error on device sdb1, logical block 26750
[11829.437137] Buffer I/O error on device sdb1, logical block 26751
[11829.437140] Buffer I/O error on device sdb1, logical block 26752
[11829.437144] Buffer I/O error on device sdb1, logical block 26753
[11829.437148] Buffer I/O error on device sdb1, logical block 26754
[11829.437151] Buffer I/O error on device sdb1, logical block 26755
[11829.437155] Buffer I/O error on device sdb1, logical block 26756
[11829.437158] Buffer I/O error on device sdb1, logical block 26757
[11829.437162] Buffer I/O error on device sdb1, logical block 26758

Changed in linux (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers